## Applet.IconApplet Applet.IconApplet — Applet with icon |

## Functions

| _init ()
| set_applet_icon_name ()
| set_applet_icon_symbolic_name ()
| set_applet_icon_path ()
| set_applet_icon_symbolic_path ()

## Properties

St.Icon | _applet_icon |

## Object Hierarchy

        Object
        ╰── Applet.Applet
            ╰── Applet.IconApplet

## Description

Applet that contains an icon

## Functions

### _init ()

    _init (St.Side   orientation,
           int       panelHeight,
           int       instance_id);

#### Parameters

orientation | orientation of the applet; Orientation of panel containing the actor |
panelHeight | height of the panel containing the applet |
instance_id | instance id of the applet |

### set_applet_icon_name ()

    set_applet_icon_name (string   icon_name);

Sets the icon of the applet to `icon_name`.

The icon will be full color

#### Parameters

icon_name | Name of the icon |

### set_applet_icon_symbolic_name ()

    set_applet_icon_symbolic_name (string   icon_name);

Sets the icon of the applet to `icon_name`.

The icon will be symbolic

#### Parameters

icon_name | Name of the icon |

### set_applet_icon_path ()

    set_applet_icon_path (string   icon_path);

Sets the icon of the applet to the image file at `icon_path`

The icon will be full color

#### Parameters

icon_path | path of the icon |

### set_applet_icon_symbolic_path ()

    set_applet_icon_symbolic_path (string   icon_path);

Sets the icon of the applet to the image file at `icon_path`

The icon will be symbolic

#### Parameters

icon_path | path of the icon |

## Property Details

### The “_applet_icon” property

      “_applet_icon”         St.Icon

Actor of the icon